Type to search.

Change agent privilege level

Base URL
https://{kibana_url}
  • POST /api/fleet/agents/{agentId}/privilege_level_change
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.3 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Change the privilege level of a single agent to unprivileged.

Required privileges

Privileges fleet-agents-all

Path parameters

agentId string required

The agent ID to change privilege level for

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

Responses

OK: A successful request.

application/json
Any of:
actionId string required